Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/wrk_nemo.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/wrk_nemo.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/wrk_nemo.F90	(revision 2633)
@@ -13,6 +13,6 @@
 
    PUBLIC wrk_alloc   ! routine called in nemogcm module (nemo_init routine)
-   PUBLIC wrk_use,     llwrk_use,     iwrk_use,     wrk_use_xz
-   PUBLIC wrk_release, llwrk_release, iwrk_release, wrk_release_xz
+   PUBLIC wrk_in_use, llwrk_in_use, iwrk_in_use, wrk_in_use_xz
+   PUBLIC wrk_not_released, llwrk_not_released, iwrk_not_released, wrk_not_released_xz
 
    INTEGER, PARAMETER :: num_1d_wrkspaces  = 27   ! No. of 1D workspace arrays ( MAX(jpi*jpj,jpi*jpk,jpj*jpk) )
@@ -190,12 +190,12 @@
 
 
-   FUNCTION wrk_use( kdim,    index1,  index2,  index3,  index4,    &
-      &              index5,  index6,  index7,  index8,  index9,    &
-      &              index10, index11, index12, index13, index14,   &
-      &              index15, index16, index17, index18, index19,   &
-      &              index20, index21, index22, index23, index24,   &
-      &              index25, index26, index27)
-      !!----------------------------------------------------------------------
-      !!                   ***  FUNCTION wrk_use  ***
+   FUNCTION wrk_in_use( kdim,    index1,  index2,  index3,  index4,    &
+      &                 index5,  index6,  index7,  index8,  index9,    &
+      &                 index10, index11, index12, index13, index14,   &
+      &                 index15, index16, index17, index18, index19,   &
+      &                 index20, index21, index22, index23, index24,   &
+      &                 index25, index26, index27)
+      !!----------------------------------------------------------------------
+      !!                   ***  FUNCTION wrk_in_use  ***
       !!
       !! ** Purpose :   Request a set of KIND(wp) workspaces to use. Returns 
@@ -210,21 +210,21 @@
       INTEGER, OPTIONAL, INTENT(in) ::   index21, index22, index23, index24, index25, index26, index27
       !
-      LOGICAL ::   wrk_use      ! Return value
+      LOGICAL ::   wrk_in_use      ! Return value
       INTEGER ::   iarg, iptr   ! local integer
       !!----------------------------------------------------------------------
 
-      wrk_use = .TRUE.
+      wrk_in_use = .TRUE.
       iptr    = index1
       iarg    = 1
       
-      DO WHILE( wrk_use .AND. iarg <= max_num_wrkspaces )
+      DO WHILE( wrk_in_use .AND. iarg <= max_num_wrkspaces )
          !
          IF( kdim == 1 ) THEN
             IF( iptr > num_1d_wrkspaces ) THEN
-               CALL wrk_stop('wrk_use - more 1D workspace arrays requested than defined in wrk_nemo module')
-               wrk_use = .FALSE.
+               CALL wrk_stop('wrk_in_use - more 1D workspace arrays requested than defined in wrk_nemo module')
+               wrk_in_use = .FALSE.
                EXIT
             ELSEIF( in_use_1d(iptr) ) THEN
-               wrk_use = .FALSE.
+               wrk_in_use = .FALSE.
                CALL print_in_use_list(1, REAL_TYPE, in_use_1d)
             ENDIF
@@ -233,9 +233,9 @@
          ELSEIF( kdim == 2 ) THEN
             IF( iptr > num_2d_wrkspaces ) THEN
-               CALL wrk_stop('wrk_use - more 2D workspace arrays requested than defined in wrk_nemo module')
-               wrk_use = .FALSE.
+               CALL wrk_stop('wrk_in_use - more 2D workspace arrays requested than defined in wrk_nemo module')
+               wrk_in_use = .FALSE.
                EXIT
             ELSEIF( in_use_2d(iptr) ) THEN
-               wrk_use = .FALSE.
+               wrk_in_use = .FALSE.
                CALL print_in_use_list(2, REAL_TYPE, in_use_2d)
             ENDIF
@@ -244,9 +244,9 @@
          ELSEIF( kdim == 3 ) THEN
             IF( iptr > num_3d_wrkspaces ) THEN
-               CALL wrk_stop( 'wrk_use - more 3D workspace arrays requested than defined in wrk_nemo module' )
-               wrk_use = .FALSE.
+               CALL wrk_stop( 'wrk_in_use - more 3D workspace arrays requested than defined in wrk_nemo module' )
+               wrk_in_use = .FALSE.
                EXIT
             ELSEIF( in_use_3d(iptr) ) THEN
-               wrk_use = .FALSE.
+               wrk_in_use = .FALSE.
                CALL print_in_use_list(3, REAL_TYPE, in_use_3d)
             ENDIF
@@ -255,9 +255,9 @@
          ELSEIF( kdim == 4 ) THEN
             IF(iptr > num_4d_wrkspaces)THEN
-               CALL wrk_stop( 'wrk_use - more 4D workspace arrays requested than defined in wrk_nemo module' )
-               wrk_use = .FALSE.
+               CALL wrk_stop( 'wrk_in_use - more 4D workspace arrays requested than defined in wrk_nemo module' )
+               wrk_in_use = .FALSE.
                EXIT
             ELSEIF( in_use_4d(iptr) ) THEN
-               wrk_use = .FALSE.
+               wrk_in_use = .FALSE.
                CALL print_in_use_list( 4, REAL_TYPE, in_use_4d )
             ENDIF
@@ -266,6 +266,6 @@
             !
          ELSE 
-            IF(llwp) WRITE(kumout,*) 'wrk_use: unsupported value of kdim = ',kdim
-            CALL wrk_stop( 'wrk_use: unrecognised value for number of dimensions' )
+            IF(llwp) WRITE(kumout,*) 'wrk_in_use: unsupported value of kdim = ',kdim
+            CALL wrk_stop( 'wrk_in_use: unrecognised value for number of dimensions' )
          END IF
 
@@ -280,5 +280,5 @@
             EXIT
          ELSEIF( iarg == -99 ) THEN
-            CALL wrk_stop( 'wrk_use : caught unexpected argument count - BUG' )
+            CALL wrk_stop( 'wrk_in_use : caught unexpected argument count - BUG' )
             EXIT
          END IF
@@ -286,11 +286,11 @@
       END DO ! end of DO WHILE()
       !
-    END FUNCTION wrk_use
-
-
-   FUNCTION llwrk_use( kdim,   index1, index2, index3, index4,   &
-      &                index5, index6, index7, index8, index9)
-      !!----------------------------------------------------------------------
-      !!                   ***  FUNCTION llwrk_use  ***
+    END FUNCTION wrk_in_use
+
+
+   FUNCTION llwrk_in_use( kdim,   index1, index2, index3, index4,   &
+      &                   index5, index6, index7, index8, index9)
+      !!----------------------------------------------------------------------
+      !!                   ***  FUNCTION llwrk_in_use  ***
       !!
       !! ** Purpose :   Request a set of LOGICAL workspaces to use. Returns 
@@ -303,21 +303,21 @@
       INTEGER, OPTIONAL, INTENT(in) :: index2, index3, index4, index5, index6, index7, index8, index9
       !
-      LOGICAL ::   llwrk_use     ! Return value
+      LOGICAL ::   llwrk_in_use  ! Return value
       INTEGER ::   iarg, iptr    ! local integers
       !!----------------------------------------------------------------------
       !
-      llwrk_use = .TRUE.
+      llwrk_in_use = .TRUE.
       iptr      = index1
       iarg      = 1
       !
-      DO WHILE( llwrk_use .AND. iarg <= max_num_wrkspaces )
+      DO WHILE( llwrk_in_use .AND. iarg <= max_num_wrkspaces )
          !
          IF( kdim == 2 ) THEN
             IF(iptr > num_2d_lwrkspaces)THEN
-               CALL wrk_stop('llwrk_use - more 2D workspace arrays requested than defined in wrk_nemo module')
-               llwrk_use = .FALSE.
+               CALL wrk_stop('llwrk_in_use - more 2D workspace arrays requested than defined in wrk_nemo module')
+               llwrk_in_use = .FALSE.
                EXIT
             ELSE IF( in_use_2dll(iptr) )THEN
-               llwrk_use = .FALSE.
+               llwrk_in_use = .FALSE.
                CALL print_in_use_list(2, REAL_TYPE, in_use_2d)
             END IF
@@ -327,9 +327,9 @@
             !
             IF(iptr > num_3d_lwrkspaces)THEN
-               CALL wrk_stop('llwrk_use - more 3D workspace arrays requested than defined in wrk_nemo module')
-               llwrk_use = .FALSE.
+               CALL wrk_stop('llwrk_in_use - more 3D workspace arrays requested than defined in wrk_nemo module')
+               llwrk_in_use = .FALSE.
                EXIT
             ELSE IF( in_use_3dll(iptr) )THEN
-               llwrk_use = .FALSE.
+               llwrk_in_use = .FALSE.
                CALL print_in_use_list(3, REAL_TYPE, in_use_3d)
             END IF
@@ -337,6 +337,6 @@
             in_use_3dll(iptr) = .TRUE.
          ELSE 
-            IF(llwp) WRITE(kumout,*) 'llwrk_use: unsupported value of kdim = ',kdim
-            CALL wrk_stop('llwrk_use: unrecognised value for number of dimensions')
+            IF(llwp) WRITE(kumout,*) 'llwrk_in_use: unsupported value of kdim = ',kdim
+            CALL wrk_stop('llwrk_in_use: unrecognised value for number of dimensions')
          END IF
 
@@ -347,17 +347,17 @@
             EXIT
          ELSEIF( iarg == -99 ) THEN
-            CALL wrk_stop( 'llwrk_use - ERROR, caught unexpected argument count - BUG' )
-            EXIT
-         ENDIF
-         !
-      END DO ! while(llwrk_use .AND. iarg <= max_num_wrkspaces)
-      !
-   END FUNCTION llwrk_use
-
-
-   FUNCTION iwrk_use( kdim, index1, index2, index3, index4,   &
-      &                     index5, index6, index7 )
-      !!----------------------------------------------------------------------
-      !!                   ***  FUNCTION iwrk_use  ***
+            CALL wrk_stop( 'llwrk_in_use - ERROR, caught unexpected argument count - BUG' )
+            EXIT
+         ENDIF
+         !
+      END DO ! while(llwrk_in_use .AND. iarg <= max_num_wrkspaces)
+      !
+   END FUNCTION llwrk_in_use
+
+
+   FUNCTION iwrk_in_use( kdim, index1, index2, index3, index4,   &
+      &                        index5, index6, index7 )
+      !!----------------------------------------------------------------------
+      !!                   ***  FUNCTION iwrk_in_use  ***
       !!
       !! ** Purpose :   Request a set of INTEGER workspaces to use. Returns 
@@ -370,20 +370,20 @@
       INTEGER, OPTIONAL, INTENT(in) ::   index2, index3, index4, index5, index6, index7
       !
-      LOGICAL             :: iwrk_use    ! Return value
+      LOGICAL             :: iwrk_in_use    ! Return value
       INTEGER :: iarg, iptr
       !!----------------------------------------------------------------------
 
-      iwrk_use = .TRUE.
+      iwrk_in_use = .TRUE.
       iptr     = index1
       iarg     = 1
       
-      DO WHILE( iwrk_use .AND. iarg <= max_num_wrkspaces )
+      DO WHILE( iwrk_in_use .AND. iarg <= max_num_wrkspaces )
          !
          IF( kdim == 2 ) THEN
             IF( iptr > num_2d_wrkspaces ) THEN
-               CALL wrk_stop( 'wrk_use - more 2D workspace arrays requested than defined in wrk_nemo module' )
-               iwrk_use = .FALSE.
+               CALL wrk_stop( 'wrk_in_use - more 2D workspace arrays requested than defined in wrk_nemo module' )
+               iwrk_in_use = .FALSE.
             ELSEIF( in_use_2di(iptr) ) THEN
-               iwrk_use = .FALSE.
+               iwrk_in_use = .FALSE.
                CALL print_in_use_list( 2, INTEGER_TYPE, in_use_2di )
             END IF
@@ -391,6 +391,6 @@
             !
          ELSE
-            IF(llwp) WRITE(kumout,*) 'iwrk_use: unsupported value of kdim = ',kdim
-            CALL wrk_stop('iwrk_use: unsupported value for number of dimensions')
+            IF(llwp) WRITE(kumout,*) 'iwrk_in_use: unsupported value of kdim = ',kdim
+            CALL wrk_stop('iwrk_in_use: unsupported value for number of dimensions')
          END IF
 
@@ -424,5 +424,5 @@
             EXIT
          CASE DEFAULT
-            CALL wrk_stop( 'iwrk_use : caught unexpected argument count - BUG' )
+            CALL wrk_stop( 'iwrk_in_use : caught unexpected argument count - BUG' )
             EXIT
          END SELECT
@@ -430,11 +430,11 @@
       END DO ! end of DO WHILE()
       !
-    END FUNCTION iwrk_use
-
-
-   FUNCTION wrk_use_xz( index1, index2, index3, index4,   &
-      &                 index5, index6, index7, index8, index9 )
-      !!----------------------------------------------------------------------
-      !!                   ***  FUNCTION wrk_use_xz  ***
+    END FUNCTION iwrk_in_use
+
+
+   FUNCTION wrk_in_use_xz( index1, index2, index3, index4,   &
+      &                    index5, index6, index7, index8, index9 )
+      !!----------------------------------------------------------------------
+      !!                   ***  FUNCTION wrk_in_use_xz  ***
       !!
       !! ** Purpose :   Request a set of 2D, xz (jpi,jpk) workspaces to use. 
@@ -447,20 +447,20 @@
       INTEGER, OPTIONAL, INTENT(in) :: index2, index3, index4, index5, index6, index7, index8, index9
       ! Local variables
-      LOGICAL ::   wrk_use_xz   ! Return value
-      INTEGER ::   iarg, iptr   ! local integer
-      !!----------------------------------------------------------------------
-
-      wrk_use_xz = .TRUE.
+      LOGICAL ::   wrk_in_use_xz   ! Return value
+      INTEGER ::   iarg, iptr      ! local integer
+      !!----------------------------------------------------------------------
+
+      wrk_in_use_xz = .TRUE.
       iptr       = index1
       iarg       = 1
        
-      DO WHILE( wrk_use_xz .AND. iarg <= max_num_wrkspaces )
+      DO WHILE( wrk_in_use_xz .AND. iarg <= max_num_wrkspaces )
          !
          IF(iptr > num_xz_wrkspaces)THEN
-            CALL wrk_stop('wrk_use_xz - more 2D xz workspace arrays requested than defined in wrk_nemo module')
-            wrk_use_xz = .FALSE.
+            CALL wrk_stop('wrk_in_use_xz - more 2D xz workspace arrays requested than defined in wrk_nemo module')
+            wrk_in_use_xz = .FALSE.
             EXIT
          ELSE IF( in_use_xz(iptr) )THEN
-            wrk_use_xz = .FALSE.
+            wrk_in_use_xz = .FALSE.
             CALL print_in_use_list(2, REAL_TYPE, in_use_xz) !ARPDBG - bug
          END IF
@@ -474,24 +474,24 @@
             EXIT
          ELSEIF( iarg == -99 ) THEN
-            CALL wrk_stop( 'wrk_use_xz : caught unexpected argument count - BUG' )   ;   EXIT
+            CALL wrk_stop( 'wrk_in_use_xz : caught unexpected argument count - BUG' )   ;   EXIT
          END IF
          !
-      END DO ! while(wrk_use_xz .AND. iarg <= max_num_wrkspaces)
-      !
-   END FUNCTION wrk_use_xz
-
-
-   FUNCTION wrk_release( kdim,    index1,  index2,  index3,  index4,  &
-      &                  index5,  index6,  index7,  index8,  index9,  &
-      &                  index10, index11, index12, index13, index14, &
-      &                  index15, index16, index17, index18, index19, &
-      &                  index20, index21, index22, index23, index24, &
-      &                  index25, index26, index27)
-      !!----------------------------------------------------------------------
-      !!                 ***  FUNCTION wrk_release  ***
+      END DO ! while(wrk_in_use_xz .AND. iarg <= max_num_wrkspaces)
+      !
+   END FUNCTION wrk_in_use_xz
+
+
+   FUNCTION wrk_not_released( kdim,    index1,  index2,  index3,  index4,  &
+      &                       index5,  index6,  index7,  index8,  index9,  &
+      &                       index10, index11, index12, index13, index14, &
+      &                       index15, index16, index17, index18, index19, &
+      &                       index20, index21, index22, index23, index24, &
+      &                       index25, index26, index27)
+      !!----------------------------------------------------------------------
+      !!                 ***  FUNCTION wrk_not_released  ***
       !!
       !! ** Purpose :   Flag that the specified workspace arrays are no-longer in use.
       !!----------------------------------------------------------------------
-      LOGICAL             :: wrk_release ! Return value
+      LOGICAL             :: wrk_not_released ! Return value
       INTEGER, INTENT(in) :: kdim             ! Dimensionality of workspace(s)
       INTEGER, INTENT(in) :: index1           ! Index of 1st workspace to release
@@ -503,5 +503,5 @@
       !!----------------------------------------------------------------------
 
-      wrk_release = .TRUE.
+      wrk_not_released = .TRUE.
       iptr = index1
       iarg = 1
@@ -511,6 +511,6 @@
          IF( kdim == 1 ) THEN
             IF( iptr > num_1d_wrkspaces ) THEN
-               CALL wrk_stop( 'wrk_release : attempt to release a non-existent 1D workspace array' )
-               wrk_release = .FALSE.
+               CALL wrk_stop( 'wrk_not_released : attempt to release a non-existent 1D workspace array' )
+               wrk_not_released = .FALSE.
             ELSE
                in_use_1d(iptr) = .FALSE.
@@ -519,6 +519,6 @@
          ELSE IF(kdim == 2)THEN
             IF( iptr > num_2d_wrkspaces ) THEN
-               CALL wrk_stop( 'wrk_release : attempt to release a non-existent 2D workspace array' )
-               wrk_release = .FALSE.
+               CALL wrk_stop( 'wrk_not_released : attempt to release a non-existent 2D workspace array' )
+               wrk_not_released = .FALSE.
             ENDIF
             in_use_2d(iptr) = .FALSE.
@@ -526,6 +526,6 @@
          ELSEIF( kdim == 3 ) THEN
             IF( iptr > num_3d_wrkspaces ) THEN
-               CALL wrk_stop('wrk_release : attempt to release a non-existent 3D workspace array')
-               wrk_release = .FALSE.
+               CALL wrk_stop('wrk_not_released : attempt to release a non-existent 3D workspace array')
+               wrk_not_released = .FALSE.
             END IF
             in_use_3d(iptr) = .FALSE.
@@ -533,12 +533,12 @@
           ELSEIF( kdim == 4 ) THEN
             IF(iptr > num_4d_wrkspaces)THEN
-               CALL wrk_stop('wrk_release - ERROR - attempt to release a non-existent 4D workspace array')
-               wrk_release = .FALSE.
+               CALL wrk_stop('wrk_not_released - ERROR - attempt to release a non-existent 4D workspace array')
+               wrk_not_released = .FALSE.
             END IF
             in_use_4d(iptr) = .FALSE.
             !
          ELSE 
-            IF(llwp) WRITE(kumout,*) 'wrk_release: unsupported value of kdim = ',kdim
-            CALL wrk_stop('wrk_release: unrecognised value for number of dimensions')
+            IF(llwp) WRITE(kumout,*) 'wrk_not_released: unsupported value of kdim = ',kdim
+            CALL wrk_stop('wrk_not_released: unrecognised value for number of dimensions')
          ENDIF
          
@@ -555,16 +555,16 @@
             EXIT
          ELSEIF( iarg == -99 ) THEN
-             CALL wrk_stop('wrk_release - caught unexpected argument count - BUG')   ;   EXIT
+             CALL wrk_stop('wrk_not_released - caught unexpected argument count - BUG')   ;   EXIT
          END IF
          !
       END DO ! end of DO WHILE()
       !
-   END FUNCTION wrk_release
-
-
-   FUNCTION llwrk_release( kdim, index1, index2, index3, index4, index5,   &
-      &                          index6, index7, index8, index9 )
-      !!----------------------------------------------------------------------
-      !!                 ***  FUNCTION wrk_release  ***
+   END FUNCTION wrk_not_released
+
+
+   FUNCTION llwrk_not_released( kdim, index1, index2, index3, index4, index5,   &
+      &                               index6, index7, index8, index9 )
+      !!----------------------------------------------------------------------
+      !!                 ***  FUNCTION wrk_not_released  ***
       !!----------------------------------------------------------------------
       INTEGER          , INTENT(in) ::   kdim             ! Dimensionality of workspace(s)
@@ -572,9 +572,9 @@
       INTEGER, OPTIONAL, INTENT(in) ::   index2, index3, index4, index5, index6, index7, index8, index9
       !
-      LOGICAL ::   llwrk_release   ! Return value
-      INTEGER ::   iarg, iptr      ! local integer
-      !!----------------------------------------------------------------------
-      !
-      llwrk_release = .TRUE.
+      LOGICAL ::   llwrk_not_released   ! Return value
+      INTEGER ::   iarg, iptr           ! local integer
+      !!----------------------------------------------------------------------
+      !
+      llwrk_not_released = .TRUE.
       iptr = index1
       iarg = 1
@@ -585,6 +585,6 @@
             !
             IF( iptr > num_2d_lwrkspaces ) THEN
-               CALL wrk_stop( 'llwrk_release : attempt to release a non-existent 2D workspace array' )
-               llwrk_release = .FALSE.
+               CALL wrk_stop( 'llwrk_not_released : attempt to release a non-existent 2D workspace array' )
+               llwrk_not_released = .FALSE.
                EXIT
             ENDIF
@@ -593,6 +593,6 @@
          ELSEIF( kdim == 3 ) THEN
             IF( iptr > num_3d_lwrkspaces ) THEN
-               CALL wrk_stop('llwrk_release : attempt to release a non-existent 3D workspace array')
-               llwrk_release = .FALSE.
+               CALL wrk_stop('llwrk_not_released : attempt to release a non-existent 3D workspace array')
+               llwrk_not_released = .FALSE.
                EXIT
             ENDIF
@@ -600,6 +600,6 @@
             !
          ELSE 
-            IF(llwp) WRITE(kumout,*) 'llwrk_release: unsupported value of kdim = ', kdim
-            CALL wrk_stop( 'llwrk_release : unrecognised value for number of dimensions' )
+            IF(llwp) WRITE(kumout,*) 'llwrk_not_released: unsupported value of kdim = ', kdim
+            CALL wrk_stop( 'llwrk_not_released : unrecognised value for number of dimensions' )
          END IF
          !
@@ -611,16 +611,16 @@
              EXIT
          ELSEIF( iarg == -99 ) THEN
-            CALL wrk_stop( 'llwrk_release : caught unexpected argument count - BUG' )   ;   EXIT
+            CALL wrk_stop( 'llwrk_not_released : caught unexpected argument count - BUG' )   ;   EXIT
          ENDIF
          !
       END DO ! while (iarg <= max_num_wrkspaces)
       !
-   END FUNCTION llwrk_release
-
-
-   FUNCTION iwrk_release( kdim, index1, index2, index3, index4,   &
-      &                         index5, index6, index7 )
-      !!----------------------------------------------------------------------
-      !!                 ***  FUNCTION iwrk_release  ***
+   END FUNCTION llwrk_not_released
+
+
+   FUNCTION iwrk_not_released( kdim, index1, index2, index3, index4,   &
+      &                              index5, index6, index7 )
+      !!----------------------------------------------------------------------
+      !!                 ***  FUNCTION iwrk_not_released  ***
       !!
       !! ** Purpose :   Flag that the specified INTEGER workspace arrays are
@@ -631,9 +631,9 @@
       INTEGER, OPTIONAL, INTENT(in) :: index2, index3, index4, index5, index6, index7
       !
-      LOGICAL :: iwrk_release   ! Return value
-      INTEGER :: iarg, iptr     ! local integer
-      !!----------------------------------------------------------------------
-      !
-      iwrk_release = .TRUE.
+      LOGICAL :: iwrk_not_released   ! Return value
+      INTEGER :: iarg, iptr          ! local integer
+      !!----------------------------------------------------------------------
+      !
+      iwrk_not_released = .TRUE.
       iptr         = index1
       iarg         = 1
@@ -643,11 +643,11 @@
          IF( kdim == 2 ) THEN
             IF( iptr > num_2d_iwrkspaces ) THEN
-               CALL wrk_stop('iwrk_release : attempt to release a non-existant 2D workspace array')
-               iwrk_release = .FALSE.
+               CALL wrk_stop('iwrk_not_released : attempt to release a non-existant 2D workspace array')
+               iwrk_not_released = .FALSE.
             ENDIF
             in_use_2di(iptr) = .FALSE.
          ELSE 
-            IF(llwp) WRITE(kumout,*) 'iwrk_release: unsupported value of kdim = ',kdim
-            CALL wrk_stop('iwrk_release: unsupported value for number of dimensions')
+            IF(llwp) WRITE(kumout,*) 'iwrk_not_released: unsupported value of kdim = ',kdim
+            CALL wrk_stop('iwrk_not_released: unsupported value for number of dimensions')
          ENDIF
          !
@@ -681,5 +681,5 @@
             EXIT
          CASE DEFAULT
-            CALL wrk_stop( 'iwrk_release : caught unexpected argument count - BUG' )
+            CALL wrk_stop( 'iwrk_not_released : caught unexpected argument count - BUG' )
             EXIT
          END SELECT
@@ -687,11 +687,11 @@
       END DO ! end of DO WHILE()
       !
-   END FUNCTION iwrk_release
-
-
-   FUNCTION wrk_release_xz( index1, index2, index3, index4, index5,   &
-      &                     index6, index7, index8, index9 )
-      !!----------------------------------------------------------------------
-      !!                 ***  FUNCTION wrk_release_xz  ***
+   END FUNCTION iwrk_not_released
+
+
+   FUNCTION wrk_not_released_xz( index1, index2, index3, index4, index5,   &
+      &                          index6, index7, index8, index9 )
+      !!----------------------------------------------------------------------
+      !!                 ***  FUNCTION wrk_not_released_xz  ***
       !!
       !!----------------------------------------------------------------------
@@ -699,9 +699,9 @@
       INTEGER, OPTIONAL, INTENT(in) :: index2, index3, index4, index5, index6, index7, index8, index9
       !
-      LOGICAL ::   wrk_release_xz   ! Return value
-      INTEGER ::   iarg, iptr       ! local integer
-      !!----------------------------------------------------------------------
-      !
-      wrk_release_xz = .TRUE.
+      LOGICAL ::   wrk_not_released_xz   ! Return value
+      INTEGER ::   iarg, iptr            ! local integer
+      !!----------------------------------------------------------------------
+      !
+      wrk_not_released_xz = .TRUE.
       iptr           = index1
       iarg           = 1
@@ -710,6 +710,6 @@
          !
          IF( iptr > num_xz_wrkspaces ) THEN
-            CALL wrk_stop('wrk_release_xz : attempt to release a non-existant 2D xz workspace array')
-            wrk_release_xz = .FALSE.
+            CALL wrk_stop('wrk_not_released_xz : attempt to release a non-existant 2D xz workspace array')
+            wrk_not_released_xz = .FALSE.
             EXIT
          ENDIF
@@ -723,5 +723,5 @@
             EXIT
          ELSEIF( iarg == -99 ) THEN
-            CALL wrk_stop('wrk_release_xz : caught unexpected argument count - BUG')
+            CALL wrk_stop('wrk_not_released_xz : caught unexpected argument count - BUG')
             EXIT
          END IF
@@ -729,5 +729,5 @@
       END DO ! while (iarg <= max_num_wrkspaces)
       !
-   END FUNCTION wrk_release_xz
+   END FUNCTION wrk_not_released_xz
 
 
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 2633)
@@ -114,5 +114,5 @@
      !!
      !!----------------------------------------------------------------------
-     USE wrk_nemo, ONLY: wrk_use, wrk_release
+     USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
      USE wrk_nemo, ONLY: zatmbc14 => wrk_2d_1
      USE wrk_nemo, ONLY:     zw3d => wrk_3d_1
@@ -146,5 +146,5 @@
       !!----------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(2, 1)) .OR. (.NOT. wrk_use(3, 1)) )THEN
+      IF( wrk_in_use(2, 1) .OR. wrk_in_use(3, 1) )THEN
          CALL ctl_stop('trc_sms_c14b : requested workspace arrays unavailable.')
          RETURN
@@ -331,5 +331,5 @@
       END IF
 
-      IF( (.NOT. wrk_release(2, 1)) .OR. (.NOT. wrk_release(3, 1)) )THEN
+      IF( wrk_not_released(2, 1) .OR. wrk_not_released(3, 1) )THEN
          CALL ctl_stop('trc_sms_c14b : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 2633)
@@ -95,5 +95,5 @@
       !!                CFC concentration in pico-mol/m3
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztrcfc => wrk_3d_1        ! use for CFC sms trend
       !!
@@ -115,5 +115,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1))THEN
+      IF(wrk_in_use(3, 1))THEN
          CALL ctl_stop('trc_sms_cfc : requested workspace array unavailable.')
          RETURN
@@ -218,5 +218,5 @@
       END IF
 
-      IF(.NOT. wrk_release(3, 1))THEN
+      IF(wrk_not_released(3, 1))THEN
          CALL ctl_stop('trc_sms_cfc : failed to release workspace array.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcbio.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcbio.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcbio.F90	(revision 2633)
@@ -60,5 +60,5 @@
       !!              for passive tracers are saved for futher diagnostics.
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use,  wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use,  wrk_not_released
       USE wrk_nemo, ONLY: wrk_3d_2, wrk_4d_1
       !!
@@ -86,5 +86,5 @@
 
 #if defined key_diatrc && defined key_iomput
-      IF( (.NOT. wrk_use(3, 2)) .OR. (.NOT. wrk_use(4, 1)) )THEN
+      IF( wrk_in_use(3, 2) .OR. wrk_in_use(4, 1) )THEN
          CALL ctl_stop('trc_bio : requested workspace arrays unavailable.')
          RETURN
@@ -500,5 +500,5 @@
       !
 #if defined key_diatrc && defined key_iomput
-      IF( (.NOT. wrk_release(3, 2)) .OR. (.NOT. wrk_release(4, 1)) )THEN
+      IF( wrk_not_released(3, 2) .OR. wrk_not_released(4, 1) )THEN
          CALL ctl_stop('trc_bio : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcini_lobster.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcini_lobster.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcini_lobster.F90	(revision 2633)
@@ -43,5 +43,5 @@
       !! ** purpose :   specific initialisation for LOBSTER bio-model
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zrro => wrk_2d_1, zdm0 => wrk_3d_1
       !!
@@ -50,5 +50,5 @@
       !!----------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(2, 1)) .OR. (.NOT. wrk_use(3, 1)) )THEN
+      IF( wrk_in_use(2, 1) .OR. wrk_in_use(3, 1) )THEN
          CALL ctl_stop('trc_ini_lobster : requested workspace arrays unavailable.')
          RETURN
@@ -259,5 +259,5 @@
       IF(lwp) WRITE(numout,*) ' '
 
-      IF( (.NOT. wrk_release(2, 1)) .OR. (.NOT. wrk_release(3, 1)) )THEN
+      IF( wrk_not_released(2, 1) .OR. wrk_not_released(3, 1) )THEN
          CALL ctl_stop('trc_ini_lobster : failed to release workspace arrays.')
       END IF
